
///////////////////////////////////////////////////////////////////////////////////////////

// // FOR FILESYSTEM AND SHELL ACCESS -- THIS VERSION ASSUMES NODEJS ECOSYSTEM

///////////////////////////////////////////////////////////////////////////////////////////

fs = require('fs');

ReadFile = function(filename) { return fs.readFileSync(filename,"utf8"); }

WriteFile = function(filename,textdata) { fs.writeFileSync(filename,textdata,"utf8"); }

RemoveNonemptyDirectory = function(dirpath) {
  fs.rmSync(dirpath,{ recursive: true, force: true });
}

CreateDirectory = function(dirpath) {
  if(!fs.existsSync(dirpath)) fs.mkdirSync(dirpath);
}

///////////////////////////////////////////////////////////////////////////////////////////

const { exec } = require("child_process");

Shellish = function(command) {
  exec(command,(error,stdout,stderr) => {
    if(error) { console.log(`error: ${error.message}`); return; }
    if(stderr) { console.log(`stderr: ${stderr}`); return; }
    console.log(`stdout: ${stdout}`);
  });
}

///////////////////////////////////////////////////////////////////////////////////////////
//
//
// usage:   portable = require("../jvpPortabilityModule");
module.exports = { ReadFile , WriteFile , RemoveNonemptyDirectory , CreateDirectory , Shellish }
