//////////

// script to generate two html files from pipedash source
// invoke this on the command line with:   > node  buildboth.js

//////////

jpm = require('./jvpPortabilityModule');
em = require('./pipedash');

//////////

  // fresh build target
  targetfolder = "script-generated-htmls";
  jpm.Shellish(`rm  ./script-generated-htmls/*.html`);
  jpm.Shellish(`rm  ./script-generated-htmls/*.ico`);
  jpm.Shellish(`cp   f.ico     ./script-generated-htmls/f.ico`);
  
//////////

  cssForBrowser = jpm.ReadFile("forBrowser.css");
  cssForBooksize = jpm.ReadFile("for-booksize-ustrade.css");
  
  tocNumsSuppress = jpm.ReadFile("__suppress-toc-page-numbers.txt").split(",");
  
  /*
      
  //////////
	
  pagename = "3x5x1985";
  markup = jpm.ReadFile("__3x5x1985-interior-pipedash.txt");
  htmlContent = em.isoProcessSource(markup,tocNumsSuppress);
  rr = em.wrapperABwebpage(pagename,cssForBrowser,htmlContent);  
  jpm.WriteFile("./"+targetfolder+"/3x5x1985-lettersize-and-browser.html",rr);
	
  //////////
  
  pagename = "CheerfulMoralWill";
  markup = jpm.ReadFile("__cmw-in-pipedash-markup.txt");
  htmlContent = em.isoProcessSource(markup,tocNumsSuppress);
  rr = em.wrapperABwebpage(pagename,cssForBrowser,htmlContent);  
  jpm.WriteFile("./"+targetfolder+"/cmw-lettersize-and-browser.html",rr);
  
  //////////

  tocNumsCMW = jpm.ReadFile("__cmw-force-toc-page-numbers.txt").split(",");
  pagename = "cmw-booksize-without-page-numbers";
  markup = jpm.ReadFile("__cmw-in-pipedash-markup.txt");
  htmlContent = em.isoProcessSource(markup,tocNumsCMW);
  rr = em.wrapperABwebpage(pagename,cssForBooksize,htmlContent);  
  jpm.WriteFile("./"+targetfolder+"/cmw-booksize-without-page-numbers.html",rr);

  */
  
  
  
  //////////
  
  tocNums3x5x1985 = jpm.ReadFile("__3x5x1985-force-toc-page-numbers.txt").split(",");
  pagename = "3x5x1985-interior-ustradesize-without-page-numbers";
  markup = jpm.ReadFile("__3x5x1985-interior-pipedash.txt");
  htmlContent = em.isoProcessSource(markup,tocNums3x5x1985);
  rr = em.wrapperABwebpage(pagename,cssForBooksize,htmlContent);  
  jpm.WriteFile("./"+targetfolder+"/3x5x1985-interior-ustradesize-without-page-numbers.html",rr);
	
  ///////////
  
  tocNumsTONY24 = jpm.ReadFile("__Tony24-force-toc-page-numbers.txt").split(",");
  pagename = "Tony24-interior-ustradesize-without-page-numbers";
  markup = jpm.ReadFile("__Tony24-interior-pipedash.txt");
  htmlContent = em.isoProcessSource(markup,tocNumsTONY24);
  rr = em.wrapperABwebpage(pagename,cssForBooksize,htmlContent);  
  jpm.WriteFile("./"+targetfolder+"/Tony24-interior-ustradesize-without-page-numbers.html",rr);

  //////////	
  
  tocNumsPTOEE = jpm.ReadFile("__PerTopicAndOneEarlyEssay-force-toc-page-numbers.txt").split(","); 
  pagename = "PerTopicAndOneEarlyEssay-interior-ustradesize-without-page-numbers";
  markup = jpm.ReadFile("__PerTopicAndOneEarlyEssay-interior-pipedash.txt");
  htmlContent = em.isoProcessSource(markup,tocNumsPTOEE);
  rr = em.wrapperABwebpage(pagename,cssForBooksize,htmlContent);  
  jpm.WriteFile("./"+targetfolder+"/PerTopicAndOneEarlyEssay-interior-ustradesize-without-page-numbers.html",rr);

  //////////
  
  tocNumsDELU = jpm.ReadFile("__FindingAGrid-force-toc-page-numbers.txt").split(",");
  pagename = "FindingAGrid-interior-ustradesize-without-page-numbers";
  markup = jpm.ReadFile("__FindingAGrid-interior-pipedash.txt");
  htmlContent = em.isoProcessSource(markup,tocNumsDELU);
  rr = em.wrapperABwebpage(pagename,cssForBooksize,htmlContent);  
  jpm.WriteFile("./"+targetfolder+"/FindingAGrid-interior-ustradesize-without-page-numbers.html",rr);

  //////////





