


// // FOR MARKUP-TO-HTML

fsss = require('fs');

portableReadFile = function(filename) { return fsss.readFileSync(filename,"utf8"); }


///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
////
////
////
////
////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

// LEVEL ONE

///////////////////////////////////
///////////////////////////////////

AA = {}; // functions of share

AA["++"] = function() { share.xpar += "+.+.+.hello.+.+.+" + " "; }

AA["-"] = function() {
    // WARNING: HTML-SPECIFIC
    //  U+2022 middle dot
    if(share.linePosition == 0) { share.xpar += "&#8226;" + " ";  }
    else share.xpar += "- ";
}

AA["--"] = function() {
    // WARNING: HTML-SPECIFIC
    // thinspace 8201, else 8200 punct sp; 8202 hair space
    share.xpar = share.xpar.slice(0,-1);  // remove trailing " " on xpar
    share.xpar +=   "&#8201;" + "&mdash;" + "&#8201;";
}



///////////////////////////////////
///////////////////////////////////


FF = {};

FF["neveruse"] = function() { share.xpar += "@neveruse@" + " "; }


///////////////////////////////////
///////////////////////////////////


wrapperABwebpage = function(pageTitle,pageCSS,pageHTML) {
    
    rr = `
    <!DOCTYPE html>
    <head>
    <link rel="icon" type="image/x-icon" href="f.ico">
    <title>${pageTitle}</title>
    <style>
    ${pageCSS}
    </style>
    </head>
    <body><div class=body_A><div class=body_B>
    ${pageHTML}
    </div></div></body>
    ` ;
    return rr;
}


///////////////////////////////////
///////////////////////////////////

share = {};
share.params = [""];

isoProcessSource = function(sourceMarkup,tocNums) {
    
    toc_init();
    tocPagenumsArray = tocNums;
    
    // computational state, functions under this.foo
    //  let share = {};
    
    // ready a running block memory, valid as a block or not
    let runningBlockBuild = "";
    let blockmode = false;
    let blockEndWord = "..SOME..INVALID..BLOCK..END..WORD..";
    share.lastCompletedBlock = "";
    
    // ready the results buffer
    let docbuffer = "";
    
    // ready the source lines
    // added leading blank lines will warm up the pipeline (including paragraph-level reset)
    // added trailing blank lines will flush the pipeline (e.g. finalizing any last paragraph in progress)
    let sourceplus = "\n \n " + sourceMarkup + " \n \n ";
    let sourceLines = sourceplus.split("\n");
    
    let fullLine = sourceLines.shift();
    let linesProcessed = 0;
    let blanklinesCount = 0;
    share.xpar = "";
    //
    while(fullLine != undefined) {
        let trimmedLine = fullLine.trim(); // generally all we need for imperitive/concatenative
        let lineWords = trimmedLine.split(/[\s]{1,}/);
        let prior_fullLine = fullLine;
        linesProcessed += 1;
        fullLine = sourceLines.shift(); // be ready for a continue statement any time
        
        //
        // block mode support
        // establish the start of a block with a line holding "<<<<<  someEndWord"
        // establish the end of the block with a line holding "someEndWord"
        // while simply in blockmode save away raw source line unprocessed
        if (blockmode == false && lineWords[0] == "<<<<<") {
            runningBlockBuild = "";
            blockEndWord = lineWords[1];
            blockmode = true;
            continue;
        }
        if (blockmode == true && lineWords[0] == ">>>>>" && lineWords[1] == blockEndWord) {
            share.lastCompletedBlock = runningBlockBuild;
            blockEndWord =  "..SOME..INVALID..BLOCK..END..WORD..";
            blockmode = false;
            continue;
        }
        if (blockmode == true) {
            runningBlockBuild += prior_fullLine + "\n";
            continue;
        }
        
        
        
        //
        // "preprocessor"-like action has second precedence
        // a source line can expand into lines from a named file
        if(lineWords[0] == "#includefile")  {
            sourceLines =  portableReadFile(lineWords[1]).split("\n").concat(sourceLines);
            blanklinesCount = 0;   // and otherwise ignore this trimmedLine
            continue;
        }
        
        //
        // make blank lines essentially idempotent
        if (trimmedLine=="" & blanklinesCount>0) { blanklinesCount += 1; continue; }
        
        //
        // handle case of a first blank line in sequence (i.e., finalize preceding source paragraph still in progress)
        if (trimmedLine=="" & blanklinesCount==0) {
            // first blank line in a series
            blanklinesCount += 1;
            //
            share.xpar += noteEndOfSourceParagraphErrors();  // append error message if necessary
            
            
            if(share.xpar.trim() != "") docbuffer += share.parWrapFunction(share.xpar.trim()) + "\n\n";
            
            // prepare for a new paragraph
            italicizingFlag = false;
            share.xpar=" ";
            share.parWrapFunction = wrap_par_Normal_Par;
            continue;
        }
        
        //
        // a full source line might be viewed as a function call
        // in this manner the parameters can contain spaces,
        // but will not be preprocessed
        // ((todo, future option))
        
        //
        // now the default or uncontrolled case -- loop over words on the line
        // only care about the contents of the source line as individual words
        blanklinesCount = 0;
        for (let linePos=0; linePos<lineWords.length; linePos++) {
            share.word = lineWords[linePos];
            
            // potentially "comment out" (thus ignore) the remaining words on the line
            if (share.word == "//") break;
            
            share.linePosition = linePos;
            share.linesProcessed = linesProcessed;
            
            // direct "simple" word aliases/responses
            if(AA[share.word] != undefined) { AA[share.word](); continue; }
            
            // normally should not have an explicit function call, so printize
            if (tryExtractFunctionCallParams() != true) {
                share.xpar += handleToggleCharactersQuotesEtc(share.word) + " ";
                continue;
            }
            
            // explicit =function=param1=param2= form was true
            let fName = share.params[0];
            if(FF[fName] != undefined) { FF[fName](); continue; }
            else share.xpar += "[ERROR: Form with ="  + fName + "= had no matching function.] ";
            
        }
        
    }
    
    // automatically merge TOC in order, if placeholder present
    docbuffer = docbuffer.replace("...placeholderTOC...",toc_tocbuffer) ; //  insert at ...placeholderTOC...
    return docbuffer ;
    
}


///////////////////////////////////
///////////////////////////////////


tryExtractFunctionCallParams = function() {
    
    // in general FEcalls are of the form =foo=param1=param2= or just =foo=
    // we develop params[0]==foo, params[1]==param1, etc
    // note that the params cannot have contained spaces
    
    share.params = [""];
    
    if(share.word[0] != "=") return;
    if(share.word=="=") return;
    if(share.word=="==") return;
    if(share.word.slice(-1) != "=") return false;
    
    // now the FEcall case
    share.params = share.word.split("=");
    share.params.shift(); // leaves share.params[0] as the function name
    share.params.pop(); // lose artifical last string
    if(share.params.length<1) return false;
    return true;
}


///////////////////////////////////
///////////////////////////////////


var italicizingFlag = false;

noteEndOfSourceParagraphErrors = function() {
    // limit scope of italics to one source paragraph
    messageToAppend = "";
    if (italicizingFlag==true) { messageToAppend +=  " ..ERROR_DID_NOT_END_ITALICS.. </em>"; }
    return messageToAppend;
}

handleToggleCharactersQuotesEtc = function(word) {
    // aka "printize" -- make an ordinary markup source word ready to serve as "typesetter" (or browser) source
    //
    // the idea of "printizing" is to handle several things at once,
    // all related to representing the needs of a typesetter language
    // within a non-fussy markup/source approach
    //
    // 1) convert chars accidently meaningful to the typesetter into safe equivalents (i.e. for < and > inputs in HTML)
    // 2) implement smart quotes (here, using position-dependence within a source word)
    // 3) toggle states such as italics (via *), and have a way to reset and limit the scope of toggles
    
    // note the use of all single characters as toggles, for easy coding
    let sourcew = word;
    let racc = "";
    let nn = sourcew.length;
    for(let ic=0; ic<nn; ic++){
        var chr = sourcew[ic]; // todo ?? will this break with unicode beyond the first 250 or so?
        
        switch(chr){
            
            default:
            racc += chr;
            break;
            
            case "*":
            italicizingFlag = !italicizingFlag;
            if(italicizingFlag) racc+="<em>"; else racc+="</em>";
            break;
            
            case "'": // and is the first character
            if(ic==0) racc += "&lsquo;"; else racc += "&rsquo;";
            break;
            
            case '"':  // and is the first character
            if(ic==0) racc += "&ldquo;"; else racc += "&rdquo;";
            break;
            
            case "<":
            racc += "&lt;";
            break;
            
            case ">":
            racc += "&gt;";
            break;
            
        }
    }
    return racc;
}



///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
////
////
////
////
////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////



// LEVEL TWO

// Level Two adds paragraph styling support, accomplished in how output "paragraphs" are wrapped
// Noteably, Level One only allowed wrap with <p> and </p>
// Level two will support command words such as =h1= , =h2= , =center=


///////////////////////////////////
///////////////////////////////////


// also support TOC generation while doing so
/*
Specific to TOC design, we can gather policy implementation in one place.
A given policy/implementation can be applied as a plugin.
TOC policy can relate to chapter numbering style, section numbering style, and so on --
both in relation to appearance in the TOC, and appearance in e.g. chapter titles.
Also, handling all the counting and state here, can simplify and decouple "wrapper" logic elsewhere.
At the limit explored here, only one or more portions of a title can be supplied by the basic markup handling,
isolating all policy here, separate from the markup processing.
*/

/*
8April2024: Implementing a hack to allow page numbers to be forced in a toc, ultimately from a document-specific file
Reasoning: 
My aim is a small number of documents (2) in perhaps a single (e.g. A5) book size each. 
TeX could again be targeted in place of html (allowing automatic toc page numbers using two passes), but how maintainable by others?
With external files used, the hack part is visible and to a better extent discoverable and self-documenting.
*/
// global string array with toc page numbers to force:
var tocPagenumsArray = [];


///////////////////////////////////
///////////////////////////////////

//
// support deferred wrapping of current paragraph
FF["wcenter"] = function() { share.parWrapFunction = wrap_par_Center; }
FF["tribox"] = function() { share.parWrapFunction = wrap_par_H1; }
FF["h1"] = function() { share.parWrapFunction = wrap_par_H1; }
FF["h2"] = function() { share.parWrapFunction = wrap_par_H2; }
FF["wh2"] = function() { share.parWrapFunction = wrap_par_H2; }
FF["h3"] = function() { share.parWrapFunction = wrap_par_H3; }
FF["h4"] = function() { share.parWrapFunction = wrap_par_H4; }
FF["wblockquote"] = function() { share.parWrapFunction = wrap_par_Blockquote; }
FF["nowrap"] = function() { share.parWrapFunction = wrap_par_Nowrap; }


///////////////////////////////////
///////////////////////////////////


var toc_tocbuffer;
var toc_nextNumeralH1;
var toc_nextNumeralH2;
var toc_nextNumeralH3;
var toc_nextNumeralH4;
var toc_nextNumeralPar;

toc_init = function() {
    toc_tocbuffer = "";
    toc_nextNumeralH1 = "0";
    toc_nextNumeralH2 = "0";
    toc_nextNumeralH3 = "0";
    toc_nextNumeralH4 = "0";
    toc_nextNumeralPar = "0";
}

toc_increment = function(numeral) {
    return ( parseInt(numeral) + 1).toString();
}

////

toc_getpagenum = function() {
    candidate = tocPagenumsArray.shift();
    if (candidate == "-") return ""; // suppression case
    return " &emsp13; . &emsp13; . &emsp13; . &emsp13;  " + candidate;
}


toc_H1toAdd = function(title) {
    toc_nextNumeralH1 = toc_increment(toc_nextNumeralH1);
    id =  "part" + toc_nextNumeralH1;
    // toc_tocbuffer +=  "<br>    <em>" + title + "</em>      <br><br>";
    forced_pagenum = toc_getpagenum();
    toc_tocbuffer += `<br> <a class=atoc href=#${id}> <em> ${title} ${forced_pagenum}</em>    </a>  <br><br>\n`;
    return id;
}

toc_H2toAdd = function(title) {
    toc_nextNumeralH2 = toc_increment(toc_nextNumeralH2);
    toc_nextNumeralH3 = "0";
    toc_nextNumeralH4 = "0";
    toc_nextNumeralPar = "0";
    id = "chap" + toc_nextNumeralH2;
    forced_pagenum = toc_getpagenum();
    toc_tocbuffer += `<a class=atoc href=#${id}> ${toc_nextNumeralH2}. ${title} ${forced_pagenum}</a><br>\n`;
    return id;
}

toc_H3toAdd = function(title) {
    toc_nextNumeralH3 = toc_increment(toc_nextNumeralH3);
    toc_nextNumeralH4 = "0";
    id = "sect" + toc_nextNumeralH2 + "." + toc_nextNumeralH3 ;
    forced_pagenum = toc_getpagenum();
    toc_tocbuffer += `&emsp13;&emsp13;  <a class=atoc href=#${id}> ${toc_nextNumeralH2}.${toc_nextNumeralH3} ${title} ${forced_pagenum}</a><br>\n`;
    return id;
}

toc_H4toAdd = function() {
    toc_nextNumeralH4 = toc_increment(toc_nextNumeralH4);
    return "";
}

toc_paragraphToAdd = function() {
    toc_nextNumeralPar = toc_increment(toc_nextNumeralPar);
    return "";
}



///////////////////////////////////
///////////////////////////////////


/*
BOOK DESIGN SUPPORT
As expected, CSS is gaining the capability for paginated book design.
Thus, we move closer to targetting HTML only, doubling-down on a sort of existential bet.
Beyond bulk typography (fonts, line spacing) a substantial part of book design is in TOC design.
Another substantial part of book design in header and footer design.
Another substantial part is in the appearance and numbering of new chapters.
*/


// use an H1 for each major division
// do not reset the chapter number, but allow them to continue monotonically
// to add to the toc, produce a "triplebox" out of three parts of paragraph text
//
wrap_par_H1 = function(parag) {
    let parts = (parag + "   ||   ||   ||   ||   ").split("||");
    id = toc_H1toAdd(parts[0]);
    //
    return `
    \n<div class=pagebreakPart1></div><div class=pagebreakPart2></div>
    
    <br><br><br><br>
    <div class=partbox id=${id}> <center><h1>${parts[0]}</h1> <br> ${parts[1]} <br> ${parts[2]} <br></center>  </div>
    <br><br><br><br>\n
    `;
}



wrap_par_H2 = function(parag) {
    // by using parts[1] after split on "||", usually omitting a date which is included on the opening page for chapter
    let parts = (parag + "   ||   ||   ||   ||   ").split("||");
    id = toc_H2toAdd(parts[0]);
    
    return `
    \n<div class=pagebreakPart1></div><div class=pagebreakPart2></div>
    
    <div id=${id}>   \n${toc_nextNumeralH2}.   </div>
    
    <h2> ${parts[0]} ${parts[1]} </h2>\n
    `;
}



// use an H3 for each section
// the title is the title both in toc and the text
// number according to chapter point section
wrap_par_H3 = function(parag) {
    
    id = toc_H3toAdd(parag);
    
    return `
    \n<h3 id=${id}> &sect; ${parag}  </h3>\n
    `;
    
}


// don't use any H4, but minimal support
wrap_par_H4 = function(parag) {
    
    toc_H4toAdd();
    
    return `
    \n<h4> ${parag} </h4>\n
    `;
}


// paragraphs can have id attributes too
// return html for a wrapped paragraph
wrap_par_Normal_Par = function(parag) {
    
    toc_paragraphToAdd();
    
    return `\n\n<p>${parag}</p>\n\n`;   // not a link target
}
// previously::   if(1==0) return `\n\n<p id=${numeralC}p${numeralP}>${parag}</p>\n\n`; // each <p> a target
// past exploration
// option ...   parag = "\n" + parag.split("\n").join(" ") + "\n";  // one line per paragraph
// option ...   let pid = this.computeParagraphIdentifier(parag);
//
// previously at start of template, for hover support:  <div class=cpholder><div class="p-control" id=${pid}> Here</a> &emsp13; <a class=selftarget href=#xxxxcheckxxxxpid}><a class=selftarget href=#toc>TOC</a></div> .... <div class="p-control" id=XX${pid}></div>
// previously at end for .cpholder ... </div>
// exp. return  "\n" + `<p ${this.parStylingString} id=${pid}>${this.parIndentString}${parag}</p>`;  // experiment for indented
//
// the following two were tried in experimenting with vertically tight, indented paragraphs
// this.parIndentString = "";
// this.parStylingString = '';  //  = ' style="margin: -12pt 0;" '  was once used to to experiment with tight, indented paragraphs



// support blockquote
// supply quote and author separated by "||"
wrap_par_Blockquote = function(parag) {
    let parts = (parag + "   ||   ||   ||   ||   ").split("||");
    return `
    \n<blockquote>
    ${parts[0]} <br>
    <center> __  ${parts[1]} __ </center></blockquote>\n
    `;
}

wrap_par_Center = function(parag) { return "<center>"+parag+"</center>\n\n"; }


wrap_par_Nowrap = function(parag) {
    return `\n\n${parag}\n\n`;
}


///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
////
////
////
////
////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////


// typesetter support

////////////////////////////////////////////////
////////////////////////////////////////////////


level1_backendSpecific_unicodeCharFromHex = function(hex){ return "&#x"+ hex +";"  ; } // todo test

level1_backendSpecific_unicodeCharFromDecimal = function(decimal){ return "&#"+decimal+";"  ; }


////////////////////////////////////////////////
////////////////////////////////////////////////

// support special characters


typesetter_space13 = function(){ return "&emsp13;"; } // poetry and lyrics initially spaced per this, so keep

typesetter_PPPdash = function(){ return "&#9473;"; } // heavier? than "&mdash;" ?
//  emdash = function(){ return '<span style="margin:0 -2.3pt 0 -2.3pt;">&mdash;</span>'; }


////////////////////////////////////////////////
////////////////////////////////////////////////

// support general formating

typesetter_fppp = function() {
    return "<p>----------</p>";
}

typesetter_centeredTargetable = function(content,id) {
    return `<center id=${id}>${content}</center>\n\n`;
}

typesetter_pagebreak = function() {
    return "<div class=pagebreakPart1></div><div class=pagebreakPart2></div> \n\n";
}

typesetter_linebreak = function() { return "<br>"; }

typesetter_unused_leftAndRight = function(sLeft,sRight){
    // especially for em-dash at each side for vertical divider/decoration
    return `
    <div style="display:flex; margin:0 -12pt 0 -12pt;">
    <div style="flex-shrink:100"> ${sLeft} </div>
    <div style="flex-grow:100">&emsp13;</div>
    <div style="flex-shrink:100"> ${sRight} </div>
    </div>
    `;
}

typesetter_horizRule = function(thicknessPointsAsString){
    return ` \n<hr style='height: ${thicknessPointsAsString} px;border:none;color:black;background-color:black;' />  \n\n`;
}




///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////


// LEVEL THREE

///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////


level3_tryFullLineAsBlockmodeRelevant = function(fullLine) {
    // placeholder, not called for now
    
    return false;
}



///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////






////////////////////////
////////////////////////
////////////////////////

FF["placeholderTOC"] = function() {
    share.parWrapFunction = wrap_par_Nowrap;
    share.xpar += "\n\n" + "...placeholderTOC..." + "\n\n ";
}

FF["ucch"] = function() {
    share.xpar += level1_backendSpecific_unicodeCharFromHex(share.params[1]) + " ";
}

FF["uccd"] = function() {
    share.xpar += level1_backendSpecific_unicodeCharFromDecimal(share.params[1]) + " ";
}

FF["sp"] = function() {
    let ns = parseInt(share.params[1]);
    let rr = "";
    for (let i=0; i<ns; i++) rr += typesetter_space13() ;
    share.xpar += rr + " ";
}
FF["s"] = function() { FF["sp"](); }

FF["omitspace"] = function() {
    share.xpar = share.xpar.slice(0,-1);  // remove trailing " " on xpar (and don't add one)
}

FF["b"] = function() {
    share.xpar += typesetter_linebreak() + "\n" ;
}

FF["ppp"] = function() {
    share.parWrapFunction = wrap_par_Nowrap;
    share.xpar += "\n\n" + typesetter_fppp() + "\n\n";
}

FF["hr"] = function() {
    share.parWrapFunction = wrap_par_Nowrap;
    share.xpar += typesetter_horizRule(share.params[1]) ;
}

FF["pagebreak"] = function() {
    share.parWrapFunction = wrap_par_Nowrap;
    share.xpar += "\n\n" + typesetter_pagebreak() + "\n\n";
}

FF["useblock"] = function() {
    share.parWrapFunction = wrap_par_Nowrap;
    if (share.params[1] == "pre") rshare.xpar += "\n\n<pre>"+share.lastCompletedBlock+"</pre>\n\n";
    else if(share.params[1] == "verbatim") share.xpar += "\n\n"+share.lastCompletedBlock+"\n\n";
    else share.xpar += "\n\ERROR_some_unrecognized_call_to_useblock\n\n";
}


FF["image"] = function() {
    share.parWrapFunction = wrap_par_Nowrap;
    share.xpar +=  '\n\n <p><center><img src="' + share.params[1] + '" alt="nodescription" ';
    //share.xpar +=  ' width="400px" /></center></p> \n\n ';
        share.xpar +=  '  /></center></p> \n\n ';
}








///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////



//-export-
//
module.exports = {  isoProcessSource , wrapperABwebpage }
//


