
  /*

  1) assuming nodejs installed, invoke with > node <scriptname> within the local-build directory
      - this creates/overwrites an html file
  
  2a) open the resulting html in chrome and print to pdf into the local-build directory
  2b) use jPDFtweak to add page numbers to that pdf, 
      - set up the input file
      - set up the output file, with output name changed to say "with" not "without" page numbers
      - On the watermark tab, use parameters which can be noted in the force-toc-page-numbers file
  
  3) open the exterior html file in firefox and print to pdf with the following parameters:
      - Destination -- Save to PDF
      - Pages -- current (need to choose this each time)
      - Scale -- Fit to page width
      - Pages per sheet -- 1
      - Margins -- none
      - Format -- Original
      - [x] Print Backgrounds -- yes, checked  
  
  */
  

  //
  jpm = require('../jvpPortabilityModule');
  pdi = require('../pipedash');
  //
  cssForBrowser = jpm.ReadFile("../forBrowser.css");
  cssForBooksize = jpm.ReadFile("../for-booksize-ustrade.css");  
  tocNumsSuppress = jpm.ReadFile("../__suppress-toc-page-numbers.txt").split(",");
  //

  TITLE="PerTopicAndOneEarlyEssay"
  
  tocNumsDELU = jpm.ReadFile(TITLE+"-force-toc-page-numbers.txt").split(",");
  markup = jpm.ReadFile(TITLE+"-interior-pipedash.txt");
  htmlContent = pdi.isoProcessSource(markup,tocNumsDELU);
  pagename = TITLE+"-interior-ustradesize-without-page-numbers";
  rr = pdi.wrapperABwebpage(pagename,cssForBooksize,htmlContent);  
  jpm.WriteFile("./"+TITLE+"-interior-ustradesize-without-page-numbers.html",rr);

  //

